## wxHtmlPrintout

This class serves as printout class for HTML documents.

Derived from

wxPrintout

Include files

<wx/html/htmprint.h>

Members

wxHtmlPrintout::wxHtmlPrintout
wxHtmlPrintout::AddFilter
wxHtmlPrintout::SetFonts
wxHtmlPrintout::SetFooter
wxHtmlPrintout::SetHeader
wxHtmlPrintout::SetHtmlFile
wxHtmlPrintout::SetHtmlText
wxHtmlPrintout::SetMargins

### wxHtmlPrintout::wxHtmlPrintout

wxHtmlPrintout(const wxString& title = "Printout")

Constructor.

### wxHtmlPrintout::AddFilter

static void AddFilter(wxHtmlFilter* filter)

Adds a filter to the static list of filters for wxHtmlPrintout. See wxHtmlFilter for further information.

### wxHtmlPrintout::SetFonts

void SetFonts(const wxString& normal_face, const wxString& fixed_face, const int *sizes = NULL)

Sets fonts. See wxHtmlWindow::SetFonts for detailed description.

### wxHtmlPrintout::SetFooter

void SetFooter(const wxString& footer, int pg = wxPAGE_ALL)

Set page footer. The following macros can be used inside it:

- @DATE@ is replaced by the current date in default format
- @PAGENUM@ is replaced by page number
- @PAGESCNT@ is replaced by total number of pages
- @TIME@ is replaced by the current time in default format
- @TITLE@ is replaced with the title of the document

Parameters

footer

HTML text to be used as footer.

pg

one of wxPAGE_ODD, wxPAGE_EVEN and wxPAGE_ALL constants.

### wxHtmlPrintout::SetHeader

void SetHeader(const wxString& header, int pg = wxPAGE_ALL)

Set page header. The following macros can be used inside it:

- @DATE@ is replaced by the current date in default format
- @PAGENUM@ is replaced by page number
- @PAGESCNT@ is replaced by total number of pages
- @TIME@ is replaced by the current time in default format
- @TITLE@ is replaced with the title of the document

Parameters

header

HTML text to be used as header.

pg

one of wxPAGE_ODD, wxPAGE_EVEN and wxPAGE_ALL constants.

### wxHtmlPrintout::SetHtmlFile

void SetHtmlFile(const wxString& htmlfile)

Prepare the class for printing this HTML file. The file may be located on any virtual file system or it may be normal file.

### wxHtmlPrintout::SetHtmlText

void SetHtmlText(const wxString& html, const wxString& basepath = wxEmptyString, bool isdir = true)

Prepare the class for printing this HTML text.

Parameters

html

HTML text. (NOT file!)

basepath

base directory (html string would be stored there if it was in file). It is used to determine path for loading images, for example.

isdir

false if basepath is filename, true if it is directory name (see wxFileSystem for detailed explanation)

### wxHtmlPrintout::SetMargins

void SetMargins(float top = 25.2, float bottom = 25.2, float left = 25.2, float right = 25.2, float spaces = 5)

Sets margins in millimeters. Defaults to 1 inch for margins and 0.5cm for space between text and header and/or footer